// i2c - Simple example

#include "esp_log.h"

#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "AQM0802A.h"

void app_main(void)
{
	static const char *TAG = "i2c-simple-example";

    uint8_t data[2];
    ESP_ERROR_CHECK(i2c_master_init());
    ESP_LOGI(TAG, "I2C initialized successfully");

	AQM0802A_init();
    ESP_LOGI(TAG, "AQM0802A initialized successfully");
    
    AQM0802A_setCursor(4, 0);
    AQM0802A_print("ABC");
    AQM0802A_setCursor(2, 1);
    AQM0802A_print("123");
   
}
